<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package Sophia
 * @since 1.0.0
 */

// Prevent direct access
if (!defined('ABSPATH')) {
    exit;
}

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 1.0
     * @return void
     */
    function sophia_register_block_styles()
    {
        // Group block - No Padding style
        register_block_style(
            'core/group',
            array(
                'name'  => 'padding-0',
                'label' => esc_html__('No Padding', 'sophia-lite'),
            )
        );

        // Columns block - Gap Zero style
        register_block_style(
            'core/columns',
            array(
                'name'  => 'have-gap-0',
                'label' => esc_html__('Gap Zero', 'sophia-lite'),
            )
        );

        // Button block - Plain style
        register_block_style(
            'core/button',
            array(
                'name'  => 'plain',
                'label' => esc_html__('Plain', 'sophia-lite'),
            )
        );

        // WooCommerce Mini Cart - Custom style
        register_block_style(
            'woocommerce/mini-cart',
            array(
                'name'  => 'custom-cart',
                'label' => esc_html__('Custom Cart', 'sophia-lite'),
            )
        );

        // WooCommerce Customer Account - Custom style
        register_block_style(
            'woocommerce/customer-account',
            array(
                'name'  => 'custom-account',
                'label' => esc_html__('Custom Account', 'sophia-lite'),
            )
        );
    }
    add_action('init', 'sophia_register_block_styles');
}